Debian Bug report logs - #495319
debconf: uses first choice for select if old choice doesn't exist anymore

Package: debconf; Maintainer for debconf is Debconf Developers <debconf-devel@lists.alioth.debian.org>; Source for debconf is src:debconf.

Reported by: Bas Wijnen <wijnen@debian.org>

Date: Sat, 16 Aug 2008 08:24:01 UTC

Severity: important

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@debian.org>:
Bug#495319; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <wijnen@debian.org>:
New Bug report received and forwarded. Copy sent to Tim Dijkstra <tim@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: submit@bugs.debian.org
Subject: uswsusp: s2disk reboots instead of halting
Date: Sat, 16 Aug 2008 10:20:48 +0200
Package: uswsusp
Version: 0.8.1
Severity: Grave
Justification: Makes package mostly unusable

When closing the lid of my laptop, I have set it to call s2disk.  This
used to work fine, but since recently, instead of halting at the end of
the process, it reboots.  This means that for the suspend to work, I
must close the lid to start the process, then open it again to reach the
power button, and wait for the reboot, then switch off the machine
manually again.  This is very annoying, as it makes the normal way of
working (close the lid and walk away) impossible.

I'm not sure if this is a uswsusp bug, it could just as well be in the
kernel.  Feel free to reassign. :-)

My kernel package is linux-image-2.6.26-1-686, version 2.6.26-2.
/proc/cpuinfo contains:
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 15
model		: 2
model name	: Intel(R) Celeron(R) CPU 2.80GHz
stepping	: 9
cpu MHz		: 2800.000
cache size	: 128 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe up pebs
bts cid xtpr
bogomips	: 5592.89
clflush size	: 64
power management:

Thanks,
Bas Wijnen




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@debian.org>:
Bug#495319; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Teemu Likonen <tlikonen@iki.fi>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@debian.org>. Full text and rfc822 format available.

Message #10 received at 495319@bugs.debian.org (full text, mbox):

From: Teemu Likonen <tlikonen@iki.fi>
To: Bas Wijnen <wijnen@debian.org>
Cc: 495319@bugs.debian.org
Subject: Re: uswsusp: s2disk reboots instead of halting
Date: Tue, 19 Aug 2008 16:03:20 +0300
Bas Wijnen wrote (2008-08-16 10:20 +0200):

> Package: uswsusp
> Version: 0.8.1
> Severity: Grave
> Justification: Makes package mostly unusable
> 
> When closing the lid of my laptop, I have set it to call s2disk.  This
> used to work fine, but since recently, instead of halting at the end
> of the process, it reboots.

> My kernel package is linux-image-2.6.26-1-686, version 2.6.26-2.

I haven't tried the reported versions but you said "since recently" so 
I'd like confirm that s2disk works nicely here in the current Lenny with 
uswsusp 0.7-1.2 and kernel .25-2-686. I also added s2disk to 
/etc/acpi/lid.sh, and suspend to disk works beautifully when closing the 
lid.




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@debian.org>:
Bug#495319; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to "Jose Carlos Garcia Sogo" <jsogo@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@debian.org>. Full text and rfc822 format available.

Message #15 received at 495319@bugs.debian.org (full text, mbox):

From: "Jose Carlos Garcia Sogo" <jsogo@debian.org>
To: 495319@bugs.debian.org
Subject: I "suffer" the same problem
Date: Tue, 19 Aug 2008 20:40:49 +0200
[Message part 1 (text/plain, inline)]
Hi,

I have also experienced this since some recent update. I am not sure if this
is a s2disk problem or a kernel one. My kernel version is
Linux gimli 2.6.25-2-686 #1 SMP Fri Jul 18 17:46:56 UTC 2008 i686 GNU/Linux

I don't have upgraded to latest kernel available in unstable (2.6.26) so I
can make some tests if you need. But I don't have any idea on how to do
that, as the process seems normal till laptop reboots instead of halting.

Thanks

-- 
José Carlos García Sogo
jsogo@debian.org
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@debian.org>:
Bug#495319; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@debian.org>. Full text and rfc822 format available.

Message #20 received at 495319@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: 495319@bugs.debian.org
Subject: Re: uswsusp: s2disk reboots instead of halting
Date: Thu, 21 Aug 2008 15:43:27 +0200
Hi,

I had this behaviour recently (a couple of weeks ago maybe) too.  I
fixed that by setting "shutdown method = shutdown" in
/etc/uswsusp.conf (previous value was "reboot").  I don't know why
that file was changed (I certainly didn't put the "reboot" in there),
but that might be a possible direction to explore: maybe the
maintainer scripts overwrite that data.

Roland.
-- 
Roland Mas

OpenPGP keys on http://www.keyserver.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@debian.org>:
Bug#495319; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Tim Dijkstra <tim@famdijkstra.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@debian.org>. Full text and rfc822 format available.

Message #25 received at 495319@bugs.debian.org (full text, mbox):

From: Tim Dijkstra <tim@famdijkstra.org>
To: Bas Wijnen <wijnen@debian.org>, Roland Mas <lolando@debian.org>
Cc: 495319@bugs.debian.org, control@bugs.debian.org
Subject: Problem with renaming config option
Date: Wed, 3 Sep 2008 22:13:14 +0200
severity 495319 important
thanks

Hi,

Somehow the problem is caused by the fact that one of the config
options changed name from 'poweroff' to 'shutdown'. If you previously
had poweroff that value was no-longer valid, somehow you not end up
with 'platform' which is the default... 

To conclude, this is not a problem for first installs, only for
upgrades. So I don't think this bug is `grave'.

grts Tim




Severity set to `important' from `grave' Request was from Tim Dijkstra <tim@famdijkstra.org> to control@bugs.debian.org. (Wed, 03 Sep 2008 20:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@debian.org>:
Bug#495319; Package uswsusp. (Wed, 22 Oct 2008 13:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <wijnen@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@debian.org>. (Wed, 22 Oct 2008 13:27:07 GMT) Full text and rfc822 format available.

Message #32 received at 495319@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: 495319@bugs.debian.org, 192889@bugs.debian.org, Tim Dijkstra <tim@famdijkstra.org>, Roland Mas <lolando@debian.org>
Cc: control@bugs.debian.org
Subject: debconf uses first value for select if old choice doesn't exist anymore; should at least be default
Date: Wed, 22 Oct 2008 15:25:18 +0200
[Message part 1 (text/plain, inline)]
reassign 495319 debconf
retitle 495319 debconf: uses first choice for select if old choice doesn't exist anymore
thanks

Hi,

On Wed, Sep 03, 2008 at 10:13:14PM +0200, Tim Dijkstra wrote:
> Somehow the problem is caused by the fact that one of the config
> options changed name from 'poweroff' to 'shutdown'. If you previously
> had poweroff that value was no-longer valid, somehow you not end up
> with 'platform' which is the default... 

I was surprised to see that reboot is an option at all.  But that isn't
a bug, of course. :-)

> To conclude, this is not a problem for first installs, only for
> upgrades. So I don't think this bug is `grave'.

Indeed.  And looking at the code, it isn't a bug in uswsusp either.  It
properly gets its value from debconf, and has the correct default set.

The problem, AFAICS, is that debconf should treat this situation as
"unanswered question" (which would result in asking again, or using the
default), but does instead treat it as "answered as [first choice]".

Given this new insight I reassigned the bug to debconf and changed the
title to make it useful for its maintainer.  It seems to be related to
#192889 (if that is properly fixed, this is no longer an issue), but in
this case I think there is a proper fix without breaking packages (using
the default instead of the first choice).

A workaround for uswsusp would be to make "platform" the first choice
(in debian/uswsusp.templates).  Note that while new installs are not
affected, upgrades from etch to lenny are, and there are about to be a
whole lot of those.  It's quite important that this gets fixed before
the release IMO.  So please ask for a freeze exception after fixing or
working around this.  That may be easier if you set the severity to
"serious", but only do that if you agree with me, of course. :-)

For clarity, if uswsusp is uploaded with a workaround and is to be
pushed into testing, you'll need a new bug (preferably at RC severity),
because closing this one will hide the still existing problem in
debconf.

Thanks,
Bas

-- 
I encourage people to send encrypted e-mail (see http://www.gnupg.org).
If you have problems reading my e-mail, use a better reader.
Please send the central message of e-mails as plain text
   in the message body, not as HTML and definitely not as MS Word.
Please do not use the MS Word format for attachments either.
For more information, see http://a82-93-13-222.adsl.xs4all.nl/e-mail.html
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `uswsusp' to `debconf'. Request was from Bas Wijnen <wijnen@debian.org> to control@bugs.debian.org. (Wed, 22 Oct 2008 13:27:08 GMT) Full text and rfc822 format available.

Changed Bug title to `debconf: uses first choice for select if old choice doesn't exist anymore' from `uswsusp: s2disk reboots instead of halting'. Request was from Bas Wijnen <wijnen@debian.org> to control@bugs.debian.org. (Wed, 22 Oct 2008 13:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#495319; Package debconf. (Fri, 24 Oct 2008 21:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Dijkstra <tdykstra@famdijkstra.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Fri, 24 Oct 2008 21:42:04 GMT) Full text and rfc822 format available.

Message #41 received at 495319@bugs.debian.org (full text, mbox):

From: Tim Dijkstra <tdykstra@famdijkstra.org>
To: Bas Wijnen <wijnen@debian.org>
Cc: 495319@bugs.debian.org, Roland Mas <lolando@debian.org>, control@bugs.debian.org
Subject: Re: debconf uses first value for select if old choice doesn't exist anymore; should at least be default
Date: Fri, 24 Oct 2008 23:31:21 +0200
clone 495319 -1
retitle -1 On upgrades the default power off mode ends up as reboot
severity -1 serious
reassign -1 uswsusp
thanks

On Wed, Oct 22, 2008 at 03:25:18PM +0200, Bas Wijnen wrote:
> reassign 495319 debconf
> retitle 495319 debconf: uses first choice for select if old choice doesn't exist anymore
> thanks
> 
> Hi,
> 
> On Wed, Sep 03, 2008 at 10:13:14PM +0200, Tim Dijkstra wrote:
> > Somehow the problem is caused by the fact that one of the config
> > options changed name from 'poweroff' to 'shutdown'. If you previously
> > had poweroff that value was no-longer valid, somehow you not end up
> > with 'platform' which is the default... 
> 
> I was surprised to see that reboot is an option at all.  But that isn't
> a bug, of course. :-)

It is there for testing.

> The problem, AFAICS, is that debconf should treat this situation as
> "unanswered question" (which would result in asking again, or using the
> default), but does instead treat it as "answered as [first choice]".
> 
> A workaround for uswsusp would be to make "platform" the first choice
> (in debian/uswsusp.templates).  Note that while new installs are not
> affected, upgrades from etch to lenny are, and there are about to be a
> whole lot of those. 

That's why I've now cloned the bug and set severity to serious. I'll
upload a fix to testing proposed updates.

grts Tim




Bug 495319 cloned as bug 503337. Request was from Tim Dijkstra <tdykstra@famdijkstra.org> to control@bugs.debian.org. (Fri, 24 Oct 2008 21:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#495319; Package debconf. (Sun, 17 May 2009 18:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximi89 <maximi89@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Sun, 17 May 2009 18:18:05 GMT) Full text and rfc822 format available.

Message #48 received at 495319@bugs.debian.org (full text, mbox):

From: Maximi89 <maximi89@gmail.com>
To: 495319@bugs.debian.org
Date: Sun, 17 May 2009 14:13:40 -0400
[Message part 1 (text/plain, inline)]
hi, shutdown works for me too, nVidia video card and Debian 2.6.29

maximi89@Maximiliano:~$ cat /sys/power/disk
[platform] test testproc shutdown reboot

maximi89@Maximiliano:~$ cat /etc/uswsusp.conf
# /etc/uswsusp.conf(8) -- Configuration file for s2disk/s2both
resume device = /dev/sda6
compress = y
early writeout = y
image size = 427135303
RSA key file = /etc/uswsusp.key
shutdown method = shutdown


i have read
https://bugs.launchpad.net/ubuntu/+source/pm-utils/+bug/226069

and other bug, with both i found how fix it.
so this works for me too.
-- 
Maximiliano Augusto Castañón Araneda
Santiago, Chile
Linux user # 394821
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:06:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.